Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.actions
Class StrutsJspLifecycle

`java.lang.Object
oracle.adf.controller.lifecycle.PageLifecycle
oracle.adf.controller.struts.actions.StrutsPageLifecycle
oracle.adf.controller.struts.actions.StrutsJspLifecycle`

All Implemented Interfaces:
  Lifecycle

public class StrutsJspLifecycle
extends StrutsPageLifecycle

Customized Struts lifecycle to support JSP. This subclass of the StrutsPageLifecycle does not add any customization to the base support.

Since:
  9.0.5

Field Summary

Fields inherited from class oracle.adf.controller.struts.actions.StrutsPageLifecycle
`formFileInputHandlerName`

Fields inherited from class oracle.adf.controller.lifecycle.PageLifecycle
`clazz, DISABLE_VALIDATE_TOKENS, eventParam, events, ordDomainInputHandlerName`

Constructor Summary
`StrutsJspLifecycle()`

Methods inherited from class oracle.adf.controller.struts.actions.StrutsPageLifecycle
`findForward, handleEvent, initializeMethodParameters, initializeParameterValuesUsingExpressions, invokeCustomMethod, prepareModel, processActionConfig, processUpdateModel, refreshModel, reportErrors, shouldAllowModelUpdate, updateModel`

Methods inherited from class oracle.adf.controller.lifecycle.PageLifecycle
`buildEventList, disableTokenValidationForRequest, findCtrlBinding, getEventMethod, getEventMethodFromCache, getRequestValues, handleError, handleLifecycle, hasErrors, initializeParameterValuesUsingRequestObject, invokeActionBinding, isNewValueForBinding, processComponentEvents, processEvent, setInputValue, shouldValidateToken, validateModelUpdates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsJspLifecycle

    public StrutsJspLifecycle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.